/*
------------------------------------------------------------------------------------------------------------------
SetHebrewDefaults
------------------------------------------------------------------------------------------------------------------
An InDesign CS2/CS3 JavaScript by FourAces
© The Final Touch 2008
Version 1.0.0

Sets InDesign Middle Eastern Version defaults for use with Hebrew.
------------------------------------------------------------------------------------------------------------------
*/
var myScriptVer = "1.0";
var myAppMode = true;
if(myAppMode == true){
	var myMode = "app";
}
else{
	var myMode = "doc";
}
var myHostApp = app.version.split(".");
var myHost = app;

try{
	if(app.documents.length != 0){
		var myTest = confirm("Document Mode\nChanges will only apply to currently opened documents. InDesign defaults will remain unchanged.\nDo you wish to continue?");
		if(myTest == true){
			myAppMode = false;
		}
		else{
			exit
		}
	}
	var myDialog = app.dialogs.add({name:"Set Hebrew Defaults v"+myScriptVer+" ("+myMode+" mode)"});
	with(myDialog){
		with(dialogColumns.add()){
			with (dialogRows.add()){
				var myLanguageOpt = checkboxControls.add({staticLabel:"Set Default Language to \"Hebrew\"", checkedState:true});
			}
			with (dialogRows.add()){
				var myQuotesOpt = checkboxControls.add({staticLabel:"Disable Typographer's Quotes", checkedState:true});
			}
			with (dialogRows.add()){
				staticTexts.add({staticLabel:"© The Final Touch"});
			}
		}
	}
	var myResult = myDialog.show({name:"HebrewSettings"});
	if(myResult == true){
		if(myAppMode){
			if(myLanguageOpt.checkedState){
				app.paragraphStyles[1].appliedLanguage = "Hebrew";
			}
			if(myQuotesOpt.checkedState){
				app.textPreferences.typographersQuotes = false;
				app.textImportPreferences.useTypographersQuotes = false;
				app.taggedTextImportPreferences.useTypographersQuotes = false;
				app.wordRTFImportPreferences.useTypographersQuotes = false;
				app.excelImportPreferences.useTypographersQuotes = false;
			}
			alert("Finished\nInDesign's defaults are now set to handle Hebrew documents.");
		}
		else{
			for(i=0; i<app.document.length; i++){
				myDocument = app.documents[i];
				if(myLanguageOpt.checkedState){
					myDocument.paragraphStyles[1].appliedLanguage = "Hebrew";
				}
				if(myQuotesOpt.checkedState){
					myDocument.textPreferences.typographersQuotes = false;
				}
			}
			alert("Finished\nAll active documents defaults are now set to handle Hebrew documents.");
		}
	}
}catch(e){
	alert("Application Error\nEither your InDesign is not ME flavored, or something went completely wrong.");
}